Pixel Update Bulletin – Juni 2022

Mit Sammlungen den Überblick behalten Sie können Inhalte basierend auf Ihren Einstellungen speichern und kategorisieren.
Veröffentlicht am 6. Juni 2022

Das Pixel Update Bulletin enthält Details zu Sicherheitslücken und Funktionsverbesserungen, die unterstützte Pixel-Geräte (Google-Geräte) betreffen. Für Google-Geräte beheben die Sicherheitspatch-Levels vom 05.06.2022 oder höher alle Probleme in diesem Bulletin und alle Probleme im Android Security Bulletin vom Juni 2022. Informationen zum Überprüfen des Sicherheitspatch-Levels eines Geräts finden Sie unter Überprüfen und Aktualisieren Ihrer Android-Version .

Alle unterstützten Google-Geräte erhalten ein Update auf das Patch-Level vom 05.06.2022. Wir empfehlen allen Kunden, diese Updates für ihre Geräte zu akzeptieren.

Ankündigungen

  • Zusätzlich zu den im Android Security Bulletin vom Juni 2022 beschriebenen Sicherheitslücken enthalten Google-Geräte auch Patches für die unten beschriebenen Sicherheitslücken.

Sicherheitspatches

Schwachstellen werden unter der Komponente gruppiert, die sie betreffen. Es gibt eine Beschreibung des Problems und eine Tabelle mit CVE, zugehörigen Referenzen, Art der Schwachstelle , Schweregrad und aktualisierten Versionen des Android Open Source Project (AOSP) (falls zutreffend). Wenn verfügbar, verknüpfen wir die öffentliche Änderung, die das Problem behoben hat, mit der Fehler-ID, wie die AOSP-Änderungsliste. Wenn sich mehrere Änderungen auf einen einzelnen Fehler beziehen, werden zusätzliche Referenzen mit Nummern nach der Fehler-ID verknüpft.

Rahmen

CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2021-39806 A-215387420 EoP Mäßig 12L
CVE-2022-20192 A-215912712 EoP Mäßig 12L
CVE-2022-20193 A-212434116 EoP Mäßig 12L
CVE-2022-20197 A-208279300 EoP Mäßig 12L
CVE-2022-20201 A-220733817 EoP Mäßig 12L
CVE-2022-20204 A-171495100 EoP Mäßig 12L
CVE-2021-0983 A-192245204 ICH WÜRDE Mäßig 12L
CVE-2022-20196 A-201535148 ICH WÜRDE Mäßig 12L

Medienrahmen

CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2022-20202 A-204704614 ICH WÜRDE Mäßig 12L
CVE-2022-20209 A-207502397 ICH WÜRDE Mäßig 12L

System

CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2022-20139 A-211647233 EoP Hoch 12L
CVE-2022-20194 A-222684510 EoP Mäßig 12L
CVE-2022-20207 A-185513714 EoP Mäßig 12L
CVE-2022-20198 A-221851879 ICH WÜRDE Mäßig 12L
CVE-2022-20200 A-212695058 ICH WÜRDE Mäßig 12L
CVE-2022-20205 A-215212561 ICH WÜRDE Mäßig 12L
CVE-2022-20206 A-220737634 ICH WÜRDE Mäßig 12L
CVE-2022-20208 A-192743373 ICH WÜRDE Mäßig 12L
CVE-2022-20195 A-213172664 DOS Mäßig 12L

Kernel-Komponenten

Zusätzlich zu den oben beschriebenen Plattformkorrekturen hat Pixel auch die Upstream-Kernel-Sicherheitskorrekturen im Zusammenhang mit dem Snapping auf die LTS-Versionen 5.4.147 und 5.10.66 aufgenommen.

Weitere Informationen finden Sie auf der Seite „Android Common Kernels“ .

CVE Verweise Typ Schwere Komponente
CVE-2018-25020 A-210498909
Upstream-Kernel
EoP Mäßig Kernel
CVE-2021-3635 A-197614484
Upstream-Kernel
EoP Mäßig Kernel
CVE-2021-3715 A-223966861
Upstream-Kernel
EoP Mäßig Kernel
CVE-2021-20268 A-182986620
Upstream-Kernel [ 2 ]
EoP Mäßig Kernel
CVE-2021-20321 A-222644279
Upstream-Kernel
EoP Mäßig Kernel
CVE-2021-31440 A-189614572
Upstream-Kernel
EoP Mäßig Kernel
CVE-2021-34556 A-196011539
Upstream-Kernel [ 2 ] [ 3 ]
EoP Mäßig Kernel
CVE-2021-44733 A-213173524
Upstream-Kernel [ 2 ]
EoP Mäßig Kernel
CVE-2022-0492 A-224859358
Upstream-Kernel [ 2 ]
EoP Mäßig Kernel
CVE-2022-20148 A-219513976
Upstream-Kernel [ 2 ]
EoP Mäßig Kernel
CVE-2021-33034 A-194694600
Upstream-Kernel
EoP Mäßig Kernel
CVE-2022-20153 A-222091980
Upstream-Kernel [ 2 ]
EoP Mäßig Kernel
CVE-2022-20154 A-174846563
Upstream-Kernel
EoP Mäßig Kernel
CVE-2022-20166 A-182388481
Upstream-Kernel
EoP Mäßig Kernel
CVE-2022-0185 A-213172369
Upstream-Kernel [ 2 ]
EoP Mäßig Kernel
CVE-2022-23222 A-215814262
Upstream-Kernel
EoP Mäßig Kernel
CVE-2021-3743 A-224080927
Upstream-Kernel
ICH WÜRDE Mäßig Kernel
CVE-2021-3753 A-222023207
Upstream-Kernel
ICH WÜRDE Mäßig Kernel
CVE-2021-38160 A-197154898
Upstream-Kernel
ICH WÜRDE Mäßig Kernel
CVE-2020-27068 A-127973231
Upstream-Kernel
ICH WÜRDE Mäßig Kernel
CVE-2022-26966 A-225469258
Upstream-Kernel [ 2 ]
ICH WÜRDE Mäßig Kernel

Pixel

CVE Verweise Typ Schwere Komponente
CVE-2022-20160 A-210083655 * RCE Kritisch Modem
CVE-2022-20170 A-209421931 * RCE Kritisch Modem
CVE-2022-20171 A-215565667 * RCE Kritisch Modem
CVE-2022-20191 A-209324757 * RCE Kritisch Modem
CVE-2022-20233 A-222472803 * EoP Kritisch Titan-M
CVE-2022-20173 A-207116951 * RCE Hoch Modem
CVE-2022-20156 A-212803946 * EoP Hoch Anzeige/Grafik
CVE-2022-20164 A-204891956 * EoP Hoch Modem
CVE-2022-20167 A-204956204 * EoP Hoch Modem
CVE-2022-20186 A-215001024 * EoP Hoch Anzeige/Grafik
CVE-2022-20159 A-210971465 * ICH WÜRDE Hoch Titan-M
CVE-2022-20162 A-223492713 * ICH WÜRDE Hoch Titan-M
CVE-2022-20165 A-220868345 * ICH WÜRDE Hoch Titan-M
CVE-2022-20177 A-209906686 * ICH WÜRDE Hoch Modem
CVE-2022-20190 A-208744915 * ICH WÜRDE Hoch Modem
CVE-2022-20168 A-210594998 * DOS Hoch Modem
CVE-2022-20181 A-210936609 * DOS Hoch Modem
CVE-2021-39653 A-193443223 * EoP Mäßig Bootloader
CVE-2022-20152 A-202006198 * EoP Mäßig TitanM
CVE-2022-20155 A-176754369 * EoP Mäßig Kernel
CVE-2022-20178 A-224932775 * EoP Mäßig Kamera
CVE-2022-20183 A-188911154 * EoP Mäßig Kernel
CVE-2022-20185 A-208842348 * EoP Mäßig Kernel
CVE-2022-20146 A-211757677 * ICH WÜRDE Mäßig Telefonie
CVE-2022-20149 A-211685939 * ICH WÜRDE Mäßig Modem
CVE-2022-20151 A-210712565 * ICH WÜRDE Mäßig Modem
CVE-2022-20169 A-211162353 * ICH WÜRDE Mäßig Modem
CVE-2022-20172 A-206987222 * ICH WÜRDE Mäßig Telefonie
CVE-2022-20174 A-210847407 * ICH WÜRDE Mäßig Bootloader
CVE-2022-20175 A-209252491 * ICH WÜRDE Mäßig Modem
CVE-2022-20176 A-197787879 * ICH WÜRDE Mäßig Modem
CVE-2022-20179 A-211683760 * ICH WÜRDE Mäßig Modem
CVE-2022-20182 A-222348453 * ICH WÜRDE Mäßig Bootloader
CVE-2022-20184 A-209153114 * ICH WÜRDE Mäßig Modem
CVE-2022-20188 A-207254598 * ICH WÜRDE Mäßig Modem

Qualcomm-Komponenten

CVE Verweise Schwere Komponente
CVE-2021-35118
A-209481020
QC-CR#3007258 [ 2 ] [ 3 ] [ 4 ]
Mäßig Kamera
CVE-2021-35119
A-209481066
QC-CR#3009887
Mäßig WLAN
CVE-2021-35120
A-209481085
QC-CR#3014911
Mäßig Kernel
CVE-2021-35121
A-209480901
QC-CR#3018966
Mäßig Kernel

Funktionspatches

Einzelheiten zu den neuen Fehlerbehebungen und funktionalen Patches in dieser Version finden Sie im Pixel Community-Forum .

Häufige Fragen und Antworten

In diesem Abschnitt werden allgemeine Fragen beantwortet, die nach dem Lesen dieses Bulletins auftreten können.

1. Wie kann ich feststellen, ob mein Gerät aktualisiert wurde, um diese Probleme zu beheben?

Sicherheits-Patch-Levels vom 05.06.2022 oder höher beheben alle Probleme im Zusammenhang mit dem Sicherheits-Patch-Level vom 05.06.2022 und allen vorherigen Patch-Levels. Um zu erfahren, wie Sie den Sicherheits-Patch-Level eines Geräts überprüfen können, lesen Sie die Anweisungen im Zeitplan für Google-Geräteaktualisierungen .

2. Was bedeuten die Einträge in der Spalte Typ ?

Einträge in der Spalte Typ der Tabelle mit den Schwachstellendetails verweisen auf die Klassifizierung der Sicherheitslücke.

Abkürzung Definition
RCE Remote-Code-Ausführung
EoP Erhöhung des Privilegs
ICH WÜRDE Offenlegung von Informationen
DOS Denial of Service
N / A Klassifizierung nicht verfügbar

3. Was bedeuten die Einträge in der Spalte Referenzen ?

Einträge in der Spalte „ Referenzen “ der Tabelle mit den Schwachstellendetails können ein Präfix enthalten, das die Organisation angibt, zu der der Referenzwert gehört.

Präfix Bezug
EIN- Android-Fehler-ID
QC- Qualcomm-Referenznummer
M- MediaTek-Referenznummer
N- NVIDIA-Referenznummer
B- Broadcom-Referenznummer
U- UNISOC-Referenznummer

4. Was bedeutet ein * neben der Android-Fehler-ID in der Spalte „ Referenzen “?

Probleme, die nicht öffentlich verfügbar sind, haben ein * neben der Android-Fehler-ID in der Spalte „ Referenzen “. Das Update für dieses Problem ist im Allgemeinen in den neuesten binären Treibern für Pixel-Geräte enthalten, die auf der Google Developer-Website verfügbar sind.

5. Warum werden Sicherheitslücken zwischen diesem Bulletin und den Android Security Bulletins aufgeteilt?

Sicherheitslücken, die in den Android Security Bulletins dokumentiert sind, sind erforderlich, um das neueste Sicherheitspatch-Level auf Android-Geräten zu deklarieren. Zusätzliche Sicherheitslücken, wie sie in diesem Bulletin dokumentiert sind, sind nicht erforderlich, um eine Sicherheitspatchstufe zu deklarieren.

Versionen

Ausführung Datum Anmerkungen
1.0 6. Juni 2022 Bulletin veröffentlicht